Project

General

Profile

Bug #11737

Some packages should have version-lock facets

Added by Andy Fiddaman about 1 year ago. Updated 12 months ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
system data
Start date:
Due date:
% Done:

100%

Estimated time:
Difficulty:
Medium
Tags:
Gerrit CR:

Description

The IPS incorporations that are built by gate lock all packages that are not flagged as noincorp together at the published versions.
This means that it is not possible to selectively downgrade a package if necessary.

We should provide version-lock facets for some packages to effectively remove them from the incorporation if necessary.

Initially, this should be done for the system/data/zoneinfo and system/data/hardware-registry packages.


Related issues

Blocks illumos gate - Feature #12052: Deliver microcode in separate packagesClosedAndy Fiddaman

Actions

Also available in: Atom PDF